=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Sage Weil <sage@newdream.net>
Build-Depends: debhelper (>= 5), autotools-dev, autoconf, automake, g++, gcc, cdbs, libfuse-dev, libboost-dev, libedit-dev, libssl-dev, libtool
Standards-Version: 3.7.2

Package: ceph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libedit2
Recommends: fuse-utils, ceph-fuse, ceph-kclient-source
Description: distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains all server daemons and tools for creating,
 running, and administering a Ceph file system.

Package: ceph-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Recommends: ceph
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows you to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible (see ceph-kclient-source).  If it is not
 practical to load a kernel module (insufficient privileges, older
 kernel, etc.), then the FUSE client will do.

Package: ceph-kclient-source
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, make
Description: source for client kernel module for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is the
 Ceph client source package for building the client kernel module.
 .
 This native kernel client is faster and is more robust than the 
 FUSE-based client (ceph-fuse).  However, you need to compile the
 module against your running kernel and will need root privileges
 to load it.

Package: libcrush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CRUSH mapping algorithm
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices.  It was originally designed for use
 in storage clusters, where one wants to minimize movement of objects
 between servers when servers fail or are added to the cluster.

Package: libcrush-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CRUSH mapping algorithm (development files)
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices.  It was originally designed for use
 in storage clusters, where one wants to minimize movement of objects
 between servers when servers fail or are added to the cluster.

Package: librados
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush, librados
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: libceph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush
Description: Ceph distributed file system client library
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.

Package: libceph-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush
Description: Ceph distributed file system client library (development files)
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
